error 28 when attempting to downgrade

Discussion in 'iPod touch' started by nevershoutnever, Apr 11, 2010.

  1. nevershoutnever

    nevershoutnever Member

    Joined:
    Jan 1, 2009
    Messages:
    33
    Likes Received:
    0
    When I attempt to downgrade my itouch 3g to the 3.1.2 firmware with iPod2,1_3.1.2_7D11_Restore.ipsw, I get the error 28.

    How could I fix this?
  2. CarlosTheJackl

    CarlosTheJackl Member

    Joined:
    Oct 11, 2009
    Messages:
    497
    Likes Received:
    14
    you are using firmware for an iPod Touch 2G, hence
    the iPod2 not iPod3
  3. nevershoutnever

    nevershoutnever Member

    Joined:
    Jan 1, 2009
    Messages:
    33
    Likes Received:
    0
    Yeah, I kinda figured that after I read what jarlath posted on my old thread.

    I'm in the iphone os 3.1 forum but not sure which guide to follow, would this one be it?

    http://www.ifans.com/forums/showthread.php?t=277386

    THIS was the guide I was attempting to follow until I figured out I couldn't use that IPSW.

    http://www.ifans.com/forums/showthread.php?t=277497

    wait a minute...

    /retard.

    I could just use iPod3,1_3.1.2_7D11_Restore.ipsw and downgrade from 3.1.3 to 3.1.2 then jailbreak with blackra1n.. but why did jarlath say that you couldn't jailbreak a 3g itouch with black rain- period?
  4. Joe Rossignol

    Joe Rossignol Community Manager Staff Member

    Joined:
    Jan 9, 2008
    Messages:
    11,500
    Likes Received:
    1,268
    Device:
    iPhone 5 (Black)
    Yes, that first one is the one you should be following

    Please Register or Log in to view images

  5. nevershoutnever

    nevershoutnever Member

    Joined:
    Jan 1, 2009
    Messages:
    33
    Likes Received:
    0
    thank you very much.
    but, quick question.. could i not just downgrade from 3.1.3 with iPod3,1_3.1.2_7D11_Restore.ipsw and then just use blackra1n?

    just put my ipod into dfu mode, added 74.208.10.249 gs.apple.com to the hosts file, and tried to downgrade and it immediately says that the file (iPod3,1_3.1.2_7D11_Restore) isn't compatible?

    help? D:
  6. J-Phone

    J-Phone Active Member

    Joined:
    Dec 1, 2009
    Messages:
    4,868
    Likes Received:
    10
    Device:
    iPhone 4 (Black)
    no, why do you think we're using a 2g firmware.
  7. nevershoutnever

    nevershoutnever Member

    Joined:
    Jan 1, 2009
    Messages:
    33
    Likes Received:
    0
    Okay, 3g uses 2g firmware.. got it.
    At first it still gave me error 28 after following the guide, but my hosts file wasn't read-only so hopefully now that i've made it read only, it won't give me an error again..

    nope, still get error 28. what the f*** d00d. |:
  8. J-Phone

    J-Phone Active Member

    Joined:
    Dec 1, 2009
    Messages:
    4,868
    Likes Received:
    10
    Device:
    iPhone 4 (Black)
    you follow the guide? quick question, you got a 3G ipod touch on 3.1.3, did it come on a lower firmware when you got it?
  9. nevershoutnever

    nevershoutnever Member

    Joined:
    Jan 1, 2009
    Messages:
    33
    Likes Received:
    0
    it is an 8 gig 3g, and it came on 3.1.3.
    it fails to verify the restore with apple, then gives me error 28.

    here is my hosts file.. and it is also read-only.

    Please Register or Log in to view images



    i just don't understand.
    /fail

    it is currently restoring to 3.1.3 (so i can re-try the whole process) and it has no issue with verifying. |:
  10. J-Phone

    J-Phone Active Member

    Joined:
    Dec 1, 2009
    Messages:
    4,868
    Likes Received:
    10
    Device:
    iPhone 4 (Black)
    thats why, if it came on 3.1.3 you can go back to 3.1.2.

Share This Page